Retrieve a submission
curl --request GET \
--url https://app.formbox.app/api/v1/submissions/{submissionId} \
--header 'api-key: <api-key>'import requests
url = "https://app.formbox.app/api/v1/submissions/{submissionId}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://app.formbox.app/api/v1/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.formbox.app/api/v1/submissions/{submissionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.formbox.app/api/v1/submissions/{submissionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.formbox.app/api/v1/submissions/{submissionId}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.formbox.app/api/v1/submissions/{submissionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"formId": "<string>",
"isSpam": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"answers": [
{
"id": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"files": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size": 123,
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"code": "unauthorized",
"message": "No API key provided. Pass your API key in the api-key header."
}
}{
"error": {
"code": "forbidden",
"message": "Your API key requires read or full access scope to retrieve a submission."
}
}{
"error": {
"code": "not_found",
"message": "No submission with this ID was found. Check that the submissionId is correct and belongs to a form in your organization."
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down and try again shortly."
}
}{
"error": {
"code": "internal_server_error",
"message": "An internal server error occurred. Please contact support if the problem persists."
}
}Submissions
Retrieve a submission
Retrieve a specific submission for a given form for the authenticated organization.
GET
/
submissions
/
{submissionId}
Retrieve a submission
curl --request GET \
--url https://app.formbox.app/api/v1/submissions/{submissionId} \
--header 'api-key: <api-key>'import requests
url = "https://app.formbox.app/api/v1/submissions/{submissionId}"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://app.formbox.app/api/v1/submissions/{submissionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.formbox.app/api/v1/submissions/{submissionId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.formbox.app/api/v1/submissions/{submissionId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.formbox.app/api/v1/submissions/{submissionId}")
.header("api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.formbox.app/api/v1/submissions/{submissionId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"formId": "<string>",
"isSpam": true,
"createdAt": "<string>",
"updatedAt": "<string>",
"answers": [
{
"id": "<string>",
"label": "<string>",
"value": "<string>"
}
],
"files": [
{
"id": "<string>",
"name": "<string>",
"type": "<string>",
"size": 123,
"url": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>"
}
]
}{
"error": {
"code": "unauthorized",
"message": "No API key provided. Pass your API key in the api-key header."
}
}{
"error": {
"code": "forbidden",
"message": "Your API key requires read or full access scope to retrieve a submission."
}
}{
"error": {
"code": "not_found",
"message": "No submission with this ID was found. Check that the submissionId is correct and belongs to a form in your organization."
}
}{
"error": {
"code": "unprocessable_entity",
"message": "The request was well-formed but contained semantic errors."
}
}{
"error": {
"code": "rate_limit_exceeded",
"message": "Too many requests. Please slow down and try again shortly."
}
}{
"error": {
"code": "internal_server_error",
"message": "An internal server error occurred. Please contact support if the problem persists."
}
}Path Parameters
Response
A specific submission.
Last modified on April 1, 2026